summaryrefslogtreecommitdiffstats
path: root/abs/core/filesystem/filesystem.install
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2016-05-16 16:24:28 (GMT)
committerBritney Fransen <brfransen@gmail.com>2016-05-16 16:24:28 (GMT)
commitfff4c50d3a1d94c807604d6c21355993dfb95c85 (patch)
tree390f0eb0781b2599449edbdafbeb6aaba34200dc /abs/core/filesystem/filesystem.install
parent8de064f6e96f960cdbfe6868d9957a4613f704df (diff)
parent6f7a84649ef75069cc4fa06fabeb63e762e049d1 (diff)
downloadlinhes_pkgbuild-fff4c50d3a1d94c807604d6c21355993dfb95c85.zip
linhes_pkgbuild-fff4c50d3a1d94c807604d6c21355993dfb95c85.tar.gz
linhes_pkgbuild-fff4c50d3a1d94c807604d6c21355993dfb95c85.tar.bz2
Merge branch 'testing'
Diffstat (limited to 'abs/core/filesystem/filesystem.install')
-rw-r--r--abs/core/filesystem/filesystem.install34
1 files changed, 25 insertions, 9 deletions
diff --git a/abs/core/filesystem/filesystem.install b/abs/core/filesystem/filesystem.install
index c043744..9793ad2 100644
--- a/abs/core/filesystem/filesystem.install
+++ b/abs/core/filesystem/filesystem.install
@@ -1,14 +1,14 @@
# args: <group> [options]
_addgroup() {
- if ! getent group "$1" >/dev/null; then
- groupadd "$@" >/dev/null
+ if ! getent group "$1" >/dev/null && groupadd "$@" >/dev/null; then
+ need_group_update=1
fi
}
# args: <group> [options]
_adduser() {
- if ! getent passwd "$1" >/dev/null; then
- useradd "$@" >/dev/null
+ if ! getent passwd "$1" >/dev/null && useradd "$@" >/dev/null; then
+ need_passwd_update=1
fi
}
@@ -24,22 +24,38 @@ post_upgrade() {
_addgroup network -g 90
_addgroup games -g 50
_addgroup uucp -g 14
+ _addgroup proc -g 26
_addgroup http -g 33
- _adduser http -u 33 -d /srv/http -g http -s /bin/false
+ _adduser http -u 33 -d /srv/http -g http -s /usr/bin/nologin
_addgroup scanner -g 96
_addgroup rfkill -g 24
_addgroup lock -g 54
_addgroup uuidd -g 68
- _adduser uuidd -u 68 -d / -g uuidd -s /sbin/nologin
+ _adduser uuidd -u 68 -d / -g uuidd -s /usr/bin/nologin
_addgroup dbus -g 81
- _adduser dbus -u 81 -d / -g dbus -s /sbin/nologin
+ _adduser dbus -u 81 -d / -g dbus -s /usr/bin/nologin
+ _addgroup input -g 97
_addgroup systemd-journal -g 190
+ _addgroup systemd-journal-gateway -g 191
+ _adduser systemd-journal-gateway -u 191 -g 191 -d / -s /usr/bin/nologin
+ _addgroup systemd-timesync -g 192
+ _adduser systemd-timesync -u 192 -g 192 -d / -s /usr/bin/nologin
+ _addgroup systemd-network -g 193
+ _adduser systemd-network -u 193 -g 193 -d / -s /usr/bin/nologin
+ _addgroup systemd-bus-proxy -g 194
+ _adduser systemd-bus-proxy -u 194 -g 194 -d / -s /usr/bin/nologin
+ _addgroup systemd-resolve -g 195
+ _adduser systemd-resolve -u 195 -g 195 -d / -s /usr/bin/nologin
- # sync gshadow to group (fixes FS#19869)
- if ! grep -q '^lock:' etc/gshadow; then
+ # update shadow files if needed
+ if (( need_group_update )); then
grpconv >/dev/null
fi
+ if (( need_passwd_update )); then
+ pwconv >/dev/null
+ fi
+
if ! grep -q '^include /etc/ld.so.conf.d/\*.conf$' etc/ld.so.conf; then
echo 'include /etc/ld.so.conf.d/*.conf' >> etc/ld.so.conf
fi